# streamWrapper::dir_closedir

(PHP 4 >= 4.3.2, PHP 5, PHP 7)

streamWrapper::dir_closedir — Close directory handle

### Description

public streamWrapper::dir_closedir ( void ) : bool

This method is called in response to closedir().

Any resources which were locked, or allocated, during opening and use of the directory stream should be released.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- closedir() - Close directory handle
- streamWrapper::dir_opendir() - Open directory handle